package com.ibm.itso.sab404r.employee.dao;
import java.sql.*;
import com.ibm.db.beans.*;

/**
 * This class represents a specific row of a result set 
 * contained in a DBSelect.
 * Generated:  Jun 23, 2004 10:54:36 AM
 */

public class GetEmployeeKeyByIdDAORow
{
	private int rowNumber;
	private DBSelect select;

	/**
	 * Constructs an object that represents a row from a DBSelect.
	 */
	public GetEmployeeKeyByIdDAORow(DBSelect aRef, int aRowNumber)
	{
		select = aRef;
		rowNumber = aRowNumber;
	}

	/**
	 * Returns the value of column EMPLOYEE_EMP_KEY in the row represented by this object. 
	 */
	public Object getEMPLOYEE_EMP_KEY() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 1);
	}

	/**
	 * Returns a String that contains all of the values in the row represented by this object. 
	 */
	public String toString()
	{
		String string = "";
		try
		{
			for (int i = 1; i <= select.getColumnCount(); i++)
			{
				string += select.getCacheValueAt(rowNumber, i);
				string += "  ";
			}
		}
		catch (SQLException ex)
		{
			return null;
		}
		return string;
	}
}