package com.ibm.itso.sal404;

import org.apache.log4j.Logger;

/**
 * Bean implementation class for Enterprise Bean: News_itm
 */
public abstract class SAL404News_itmBean implements javax.ejb.EntityBean {
	// Configure Log4J Logger
	private static Logger logger = Logger.getLogger(SAL404News_itmBean.class);
    
    private javax.ejb.EntityContext myEntityCtx;
    /**
     * setEntityContext
     */
    public void setEntityContext(javax.ejb.EntityContext ctx) {
        myEntityCtx = ctx;
    }
    /**
     * getEntityContext
     */
    public javax.ejb.EntityContext getEntityContext() {
        return myEntityCtx;
    }
    /**
     * unsetEntityContext
     */
    public void unsetEntityContext() {
        myEntityCtx = null;
    }
    /**
     * ejbCreate
     */
    public com.ibm.itso.sal404.SAL404News_itmKey ejbCreate(
        java.lang.String news_itm_id) throws javax.ejb.CreateException {
        logger.debug("ejbCreate");
        setNews_itm_id(news_itm_id);
        return null;
    }
    /**
     * ejbPostCreate
     */
    public void ejbPostCreate(java.lang.String news_itm_id)
    	throws javax.ejb.CreateException {
        logger.debug("ejbPostCreate");
    }
    /**
     * ejbActivate
     */
    public void ejbActivate() {
        logger.debug("ejbActivate");
    }
    /**
     * ejbLoad
     */
    public void ejbLoad() {
        logger.debug("ejbLoad");
    }
    /**
     * ejbPassivate
     */
    public void ejbPassivate() {
        logger.debug("ejbPassivate");
    }
    /**
     * ejbRemove
     */
    public void ejbRemove() throws javax.ejb.RemoveException {
        logger.debug("ejbRemove");
    }
    /**
     * ejbStore
     */
    public void ejbStore() {
        logger.debug("ejbStore");
    }
    /**
     * Get accessor for persistent attribute: news_itm_id
     */
    public abstract java.lang.String getNews_itm_id();
    /**
     * Set accessor for persistent attribute: news_itm_id
     */
    public abstract void setNews_itm_id(java.lang.String newNews_itm_id);
    /**
     * Get accessor for persistent attribute: news_itm_title
     */
    public abstract java.lang.String getNews_itm_title();
    /**
     * Set accessor for persistent attribute: news_itm_title
     */
    public abstract void setNews_itm_title(java.lang.String newNews_itm_title);
    /**
     * Get accessor for persistent attribute: news_itm_date
     */
    public abstract java.sql.Date getNews_itm_date();
    /**
     * Set accessor for persistent attribute: news_itm_date
     */
    public abstract void setNews_itm_date(java.sql.Date newNews_itm_date);
    /**
     * Get accessor for persistent attribute: news_itm_author
     */
    public abstract java.lang.String getNews_itm_author();
    /**
     * Set accessor for persistent attribute: news_itm_author
     */
    public abstract void setNews_itm_author(java.lang.String newNews_itm_author);
    /**
     * Get accessor for persistent attribute: news_itm_body
     */
    public abstract java.lang.String getNews_itm_body();
    /**
     * Set accessor for persistent attribute: news_itm_body
     */
    public abstract void setNews_itm_body(java.lang.String newNews_itm_body);
}