package com.ibm.itso.sal404.interestlist.dao;
import java.sql.*;
import com.ibm.db.beans.*;

/**
 * This class represents a specific row of a result set 
 * contained in a DBSelect.
 * Generated:  May 21, 2003 3:58:26 PM
 */

public class InterestListPropertyDetailDAORow
{
	private int rowNumber;
	private DBSelect select;

	/**
	 * Constructs an object that represents a row from a DBSelect.
	 */
	public InterestListPropertyDetailDAORow(DBSelect aRef, int aRowNumber)
	{
		select = aRef;
		rowNumber = aRowNumber;
	}

	/**
	 * Returns the value of column PROP_PROP_ID in the row represented by this object. 
	 */
	public Object getPROP_PROP_ID() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 1);
	}

	/**
	 * Returns the value of column PROP_PROP_ADDR_BLDG_NUM in the row represented by this object. 
	 */
	public Object getPROP_PROP_ADDR_BLDG_NUM() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 2);
	}

	/**
	 * Returns the value of column PROP_PROP_ADDR_STRT_NAM in the row represented by this object. 
	 */
	public Object getPROP_PROP_ADDR_STRT_NAM() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 3);
	}

	/**
	 * Returns the value of column PROP_TYPE_PROP_TYPE_DESC in the row represented by this object. 
	 */
	public Object getPROP_TYPE_PROP_TYPE_DESC() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 4);
	}

	/**
	 * Returns the value of column PROP_STS_PROP_STS_DESC in the row represented by this object. 
	 */
	public Object getPROP_STS_PROP_STS_DESC() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 5);
	}

	/**
	 * Returns the value of column PROP_PROP_PRICE in the row represented by this object. 
	 */
	public Object getPROP_PROP_PRICE() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 6);
	}

	/**
	 * Returns the value of column USR_USR_FIRST_NAME in the row represented by this object. 
	 */
	public Object getUSR_USR_FIRST_NAME() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 7);
	}

	/**
	 * Returns the value of column USR_USR_LAST_NAME in the row represented by this object. 
	 */
	public Object getUSR_USR_LAST_NAME() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 8);
	}

}