package com.ibm.itso.sal404.propertycatalog.dao;
import java.sql.*;
import com.ibm.db.beans.*;
/**
 * This class represents a specific row of a result set 
 * contained in a DBSelect.
 * Generated:  May 19, 2003 11:28:13 AM
 */
public class GetPropertyFeaturesDAORow
{
	private int rowNumber;
	private DBSelect select;
	/**
	 * Constructs an object that represents a row from a DBSelect.
	 */
	public GetPropertyFeaturesDAORow(DBSelect aRef, int aRowNumber)
	{
		select = aRef;
		rowNumber = aRowNumber;
	}
	/**
	 * Returns the value of column PROP_FTR_ITM_PROP_FTR_NAME in the row represented by this object. 
	 */
	public Object getPROP_FTR_ITM_PROP_FTR_NAME() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 1);
	}
	/**
	 * Returns the value of column PROP_FTR_ITM_PROP_FTR_VALUE in the row represented by this object. 
	 */
	public Object getPROP_FTR_ITM_PROP_FTR_VALUE() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 2);
	}
	/**
	 * Returns a String that contains all of the values in the row represented by this object. 
	 */
	public String toString()
	{
		String string = "";
		try
		{
			for (int i = 1; i <= select.getColumnCount(); i++)
			{
				string += select.getCacheValueAt(rowNumber, i);
				string += "  ";
			}
		}
		catch (SQLException ex)
		{
			return null;
		}
		return string;
	}
}