package com.ibm.itso.sal404.propertycatalog.dto;
import com.ibm.itso.sal404.common.base.DataTransferObjectIf;
/**
 * 
 * sal404 Realty sample application
 * 
 * @component 	PropertyCatalog component
 * @layer		Domain Layer
 * 
 * Description of the class here
 * 
 * @author 		Gwen Gaumond, Twinstar Incorporated
 * @created		May 13, 2003	
 * @version		1.0.0 / @May 13, 2003	
 *
 * @see		 	to be completed
 * 
 */
public class PropertyFeatureDTO implements DataTransferObjectIf
{
	private String		_id;
	private String		_propertyId;
	private String 		_name;
	private String 		_value;

	/**
	 * Returns the value.
	 * @return String
	 */
	public String getValue()
	{
		return _value;
	}


	/**
	 * Sets the value.
	 * @param value The value to set
	 */
	public void setValue(String value)
	{
		_value = value;
	}

	/**
	 * Returns the name.
	 * @return String
	 */
	public String getName()
	{
		return _name;
	}

	/**
	 * Sets the name.
	 * @param name The name to set
	 */
	public void setName(String name)
	{
		_name = name;
	}

	/**
	 * Returns the id.
	 * @return String
	 */
	public String getId()
	{
		return _id;
	}

	/**
	 * Returns the propertyId.
	 * @return String
	 */
	public String getPropertyId()
	{
		return _propertyId;
	}

	/**
	 * Sets the id.
	 * @param id The id to set
	 */
	public void setId(String id)
	{
		_id = id;
	}

	/**
	 * Sets the propertyId.
	 * @param propertyId The propertyId to set
	 */
	public void setPropertyId(String propertyId)
	{
		_propertyId = propertyId;
	}

    private static final long serialVersionUID = -7455820691913663145L;

}
