package com.ibm.itso.sal404.propertycatalog.dto;
import com.ibm.itso.sal404.common.base.DataTransferObjectIf;
/**
 * 
 * sal404 Realty sample application
 * 
 * @component	Property Catalog component
 * @layer		domain layer
 * 
 * Description of the class here
 * 
 * @author 		Gwen Gaumond, Twinstar Incorporated
 * @created		initial creation date here		
 * @version		x.y.z / @May 14, 2003	
 *
 * @see		 	classes associated with this class
 * 
 */
public class PropertyStatusDTO implements DataTransferObjectIf
{
	private int _id;
	private String _description = null;
	
	/**
	 * Constructor for PropertyStatusDTO.
	 */
	public PropertyStatusDTO()
	{
		super();
	}
	/**
	 * Returns the id.
	 * @return String
	 */
	public int getId()
	{
		return _id;
	}

	/**
	 * Sets the id.
	 * @param id The id to set
	 */
	public void setId(int id)
	{
		_id = id;
	}

	/**
	 * Returns the description.
	 * @return String
	 */
	public String getDescription()
	{
		return _description;
	}

	/**
	 * Sets the description.
	 * @param description The description to set
	 */
	public void setDescription(String description)
	{
		_description = description;
	}

    private static final long serialVersionUID = 5919450156409305594L;

}
