package com.ibm.itso.sal404.propertycatalog.dto;
import com.ibm.itso.sal404.common.base.DataTransferObjectIf;
/**
 * 
 * sal404 Realty sample application
 * 
 * @component 	PropertyCatalog component
 * @layer		domain layer
 * 
 * Contains the search criterias the user have entered
 * Used into the manager
 * 
 * @author 		Pasi Valjus
 * @created		May 25  2003	
 * @version		1.0.0 / @May 25, 2003	
 *
 * @see		 	to be completed
 * 
 */
public class SearchPropertiesByCriteriaDTO implements DataTransferObjectIf
{
	private String _propertyTypeId = null;
	private String _minPrice = null;
	private String _maxPrice = null;
	private String _postalCode = null;
	/**
	 * Returns the id.
	 * @return String
	 */
	public String getPropertyTypeId()
	{
		return _propertyTypeId;
	}

	/**
	 * Returns the maxPrice.
	 * @return String
	 */
	public String getMaxPrice()
	{
		return _maxPrice;
	}

	/**
	 * Returns the minPrice.
	 * @return String
	 */
	public String getMinPrice()
	{
		return _minPrice;
	}

	/**
	 * Returns the postalCode.
	 * @return String
	 */
	public String getPostalCode()
	{
		return _postalCode;
	}

	/**
	 * Sets the id.
	 * @param id The id to set
	 */
	public void setPropertyTypeId(String propertyTypeId)
	{
		this._propertyTypeId = propertyTypeId;
	}

	/**
	 * Sets the maxPrice.
	 * @param maxPrice The maxPrice to set
	 */
	public void setMaxPrice(String maxPrice)
	{
		this._maxPrice = maxPrice;
	}

	/**
	 * Sets the minPrice.
	 * @param minPrice The minPrice to set
	 */
	public void setMinPrice(String minPrice)
	{
		this._minPrice = minPrice;
	}

	/**
	 * Sets the postalCode.
	 * @param postalCode The postalCode to set
	 */
	public void setPostalCode(String postalCode)
	{
		this._postalCode = postalCode;
	}

    private static final long serialVersionUID = 4268618697092388657L;

}
