package com.ibm.itso.sal404.reporting.dao;
import java.sql.*;
import com.ibm.db.beans.*;
/**
 * This class represents a specific row of a result set 
 * contained in a DBSelect.
 * Generated:  15-May-03 20:51:00
 */
public class ReportPropertyForAgentDAORow
{
	private int rowNumber;
	private DBSelect select;
	/**
	 * Constructs an object that represents a row from a DBSelect.
	 */
	public ReportPropertyForAgentDAORow(DBSelect aRef, int aRowNumber)
	{
		select = aRef;
		rowNumber = aRowNumber;
	}
	/**
	 * Returns the value of column PROP_PROP_ID in the row represented by this object. 
	 */
	public Object getPROP_PROP_ID() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 1);
	}
	/**
	 * Returns the value of column PROP_TYPE_PROP_TYPE_DESC in the row represented by this object. 
	 */
	public Object getPROP_TYPE_PROP_TYPE_DESC() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 2);
	}
	/**
	 * Returns the value of column PROP_STS_PROP_STS_DESC in the row represented by this object. 
	 */
	public Object getPROP_STS_PROP_STS_DESC() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 3);
	}
	/**
	 * Returns the value of column CNTRY_CNTRY_NAME in the row represented by this object. 
	 */
	public Object getCNTRY_CNTRY_NAME() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 4);
	}
	/**
	 * Returns the value of column PROP_PROP_ADDR_POST_CD in the row represented by this object. 
	 */
	public Object getPROP_PROP_ADDR_POST_CD() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 5);
	}
	/**
	 * Returns the value of column PROP_PROP_ADDR_RGN in the row represented by this object. 
	 */
	public Object getPROP_PROP_ADDR_RGN() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 6);
	}
	/**
	 * Returns the value of column PROP_PROP_ADDR_MUNI in the row represented by this object. 
	 */
	public Object getPROP_PROP_ADDR_MUNI() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 7);
	}
	/**
	 * Returns the value of column PROP_PROP_ADDR_STRT_NAM in the row represented by this object. 
	 */
	public Object getPROP_PROP_ADDR_STRT_NAM() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 8);
	}
	/**
	 * Returns the value of column PROP_PROP_ADDR_BLDG_NUM in the row represented by this object. 
	 */
	public Object getPROP_PROP_ADDR_BLDG_NUM() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 9);
	}
	/**
	 * Returns the value of column PROP_PROP_ADDR_UNIT_NUM in the row represented by this object. 
	 */
	public Object getPROP_PROP_ADDR_UNIT_NUM() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 10);
	}
	/**
	 * Returns the value of column PROP_PROP_ADDR_PO_BOX in the row represented by this object. 
	 */
	public Object getPROP_PROP_ADDR_PO_BOX() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 11);
	}
	/**
	 * Returns the value of column PROP_PROP_ADDR_ADDL_TEX in the row represented by this object. 
	 */
	public Object getPROP_PROP_ADDR_ADDL_TEX() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 12);
	}
	/**
	 * Returns the value of column PROP_PROP_PRICE in the row represented by this object. 
	 */
	public Object getPROP_PROP_PRICE() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 13);
	}
	/**
	 * Returns the value of column PROP_PROP_PIC_URL in the row represented by this object. 
	 */
	public Object getPROP_PROP_PIC_URL() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 14);
	}
	/**
	 * Returns the value of column PROP_PROP_CRD_ON in the row represented by this object. 
	 */
	public Object getPROP_PROP_CRD_ON() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 15);
	}
	/**
	 * Returns the value of column INT_LST_ITM_INT_LST_ITM_ID in the row represented by this object. 
	 */
	public Object getINT_LST_ITM_INT_LST_ITM_COUNT() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 16);
	}
	/**
	 * Returns a String that contains all of the values in the row represented by this object. 
	 */
	public String toString()
	{
		String string = "";
		try
		{
			for (int i = 1; i <= select.getColumnCount(); i++)
			{
				string += select.getCacheValueAt(rowNumber, i);
				string += "  ";
			}
		}
		catch (SQLException ex)
		{
			return null;
		}
		return string;
	}
}