package com.ibm.itso.sal404.bidding.form;

import java.text.SimpleDateFormat;
import java.util.Date;

import javax.servlet.http.HttpServletRequest;

import org.apache.log4j.Logger;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.validator.ValidatorForm;

/**
 * Form bean for a Struts application. Users may access 9 fields on this form:
 * <ul>
 * <li>bidPrice - [your comment here]
 * <li>sbidPrice - [your comment here]
 * <li>propertyUserId - [your comment here]
 * <li>sbidDate - [your comment here]
 * <li>bidDate - [your comment here]
 * <li>bidderId - [your comment here]
 * <li>status - [your comment here]
 * <li>id - [your comment here]
 * <li>propertyId - [your comment here]
 * </ul>
 * 
 * @version 1.0
 * @author
 */
public class ModifyBidForm extends ValidatorForm

{
    // Configure Log4J Logger
    private static Logger logger = Logger.getLogger(ModifyBidForm.class);

    private java.math.BigDecimal bidPrice = null;

    private String propertyUserId = null;

    private String sbidPrice = null;

    private String sbidDate = null;

    private java.util.Date bidDate = new Date();

    private String bidderId = null;

    private String status = null;

    private String id = null;

    private String propertyId = null;

    private SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd");

    public ModifyBidForm()
    {
        super();
        
    }

    /**
     * Get bidPrice
     * 
     * @return java.math.BigDecimal
     */
    public java.math.BigDecimal getBidPrice()
    {
        return bidPrice;
    }

    /**
     * Set bidPrice
     * 
     * @param <code>java.math.BigDecimal</code>
     */
    public void setBidPrice(java.math.BigDecimal b)
    {
        this.bidPrice = b;
    }

    /**
     * Get propertyUserId
     * 
     * @return String
     */
    public String getPropertyUserId()
    {
        return propertyUserId;
    }

    /**
     * Set propertyUserId
     * 
     * @param <code>String</code>
     */
    public void setPropertyUserId(String p)
    {
        this.propertyUserId = p;
    }

    /**
     * Get sbidPrice
     * 
     * @return String
     */
    public String getSbidPrice()
    {
        return sbidPrice;
    }

    /**
     * Set sbidPrice
     * 
     * @param <code>String</code>
     */
    public void setSbidPrice(String s)
    {
        this.sbidPrice = s;
    }

    /**
     * Get sbidDate
     * 
     * @return String
     */
    public String getSbidDate()
    {
        return sbidDate;
    }

    /**
     * Set sbidDate
     * 
     * @param <code>String</code>
     */
    public void setSbidDate(String s)
    {
        this.sbidDate = s;
    }

    /**
     * Get bidDate
     * 
     * @return java.util.Date
     */
    public java.util.Date getBidDate()
    {
        return bidDate;
    }

    /**
     * Set bidDate
     * 
     * @param <code>java.util.Date</code>
     */
    public void setBidDate(java.util.Date b)
    {
        this.bidDate = b;
    }

    /**
     * Get bidderId
     * 
     * @return String
     */
    public String getBidderId()
    {
        return bidderId;
    }

    /**
     * Set bidderId
     * 
     * @param <code>String</code>
     */
    public void setBidderId(String b)
    {
        this.bidderId = b;
    }

    /**
     * Get status
     * 
     * @return String
     */
    public String getStatus()
    {
        return status;
    }

    /**
     * Set status
     * 
     * @param <code>String</code>
     */
    public void setStatus(String s)
    {
        this.status = s;
    }

    /**
     * Get id
     * 
     * @return String
     */
    public String getId()
    {
        return id;
    }

    /**
     * Set id
     * 
     * @param <code>String</code>
     */
    public void setId(String i)
    {
        this.id = i;
    }

    /**
     * Get propertyId
     * 
     * @return String
     */
    public String getPropertyId()
    {
        return propertyId;
    }

    /**
     * Set propertyId
     * 
     * @param <code>String</code>
     */
    public void setPropertyId(String p)
    {
        this.propertyId = p;
    }

    public void reset(ActionMapping mapping, HttpServletRequest request)
    {

        // Reset values are provided as samples only. Change as appropriate.

       

    }

    public ActionErrors validate(ActionMapping mapping,
            HttpServletRequest request)
    {

        
        //      ActionErrors errors = new ActionErrors();
        ActionErrors errors = super.validate(mapping, request);

        logger.info("Number of errors is " + errors.size());
        // Validate the fields in your form, adding
        // adding each error to this.errors as found, e.g.
        logger.info("EXIT:  validate");
        return errors;

    }
}