package com.ibm.itso.sal404.interestlist.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.ibm.itso.sal404.interestlist.form.InterestListForm;

// Import Log4J Logger
import org.apache.log4j.Logger;

/**
 * 
 * sal404 Realty sample application
 * 
 * @component	Interest list
 * @layer		action
 * 
 * ShowInterestListAction<br>
 * This Action begins the display of the interest list.<br>
 * 
 * 
 * @author 		Mark Buensalido
 * @version		1.0.0
 *
 * 
 */
public final class ShowInterestListAction extends Action
{

	/**
	 * Configures the log4j Logger.
	 * @since 1.0.0
	 */
	private static Logger logger =
		Logger.getLogger(ShowInterestListAction.class);

	/**
	* Constructor
	*/
	public ShowInterestListAction()
	{

		super();

	}
	public ActionForward execute(
		ActionMapping mapping,
		ActionForm form,
		HttpServletRequest request,
		HttpServletResponse response)
		throws Exception
	{

		ActionErrors errors = new ActionErrors();
		ActionForward forward = new ActionForward();
		// return value
		InterestListForm interestListForm = (InterestListForm) form;

		logger.info("ENTRY:execute");

		try
		{

			// do something here
			// not necessary to really do anything here
			// but the action framework is retained in case
			// of future needs

		}
		catch (Exception e)
		{

			// Report the error using the appropriate name and ID.
			errors.add("name", new ActionError("id"));

		}

		// If a message is required, save the specified key(s)
		// into the request for use by the <struts:errors> tag.

		if (!errors.isEmpty())
		{
			saveErrors(request, errors);

			// Forward control to the appropriate 'failure' URI (change name as desired)
			//	forward = mapping.findForward("failure");

		}
		// Forward control to the appropriate 'success' URI (change name as desired)
		forward = mapping.findForward("success");

		logger.info("EXIT:execute");

		// Finish with
		return (forward);

	}
}
