package com.ibm.itso.sal404.interestlist.form;

import java.util.List;
import java.util.Vector;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;

import com.ibm.itso.sal404.interestlist.itemadapter.InterestListLineItem;

/**
 * Form bean for a Struts application.
 * Users may access 1 field on this form:
 * <ul>
 * <li>interestListItems - [your comment here]
 * </ul>
 * @version 	1.0
 * @author
 */
public final class InterestListForm extends ActionForm
{


	private String _dispatcher = "";
	private List _interestListLineItems = new Vector();

	/**
	* Constructor
	*/
	public InterestListForm()
	{

		super();

	}
	public void reset(ActionMapping mapping, HttpServletRequest request)
	{

		// Reset values are provided as samples only. Change as appropriate.

		_interestListLineItems = new Vector();

	}
	public ActionErrors validate(
		ActionMapping mapping,
		HttpServletRequest request)
	{

		ActionErrors errors = new ActionErrors();
		// Validate the fields in your form, adding
		// adding each error to this.errors as found, e.g.

		// if ((field == null) || (field.length() == 0)) {
		//   errors.add("field", new ActionError("error.field.required"));
		// }
		return errors;

	}
	/**
	 * Returns the interestListLineItems.
	 * @return List
	 */
	public List getInterestListLineItems()
	{
		return _interestListLineItems;
	}

	/**
	 * Sets the interestListLineItems.
	 * @param interestListLineItems The interestListLineItems to set
	 */
	public void setInterestListLineItems(List interestListLineItems)
	{
		_interestListLineItems = interestListLineItems;
	}
	public InterestListLineItem getInterestListLineItem(int index)
	{

		List interestListLineItems = null;
		InterestListLineItem interestListLineItem = null;
		int ubound;
		
		interestListLineItems = getInterestListLineItems();
		ubound = interestListLineItems.size() - 1;
		
		
		while (ubound < index)
		{
			ubound ++;
			// add new elements to the list if the index being called for is greater than the size
			interestListLineItem = new InterestListLineItem();
			interestListLineItems.add(ubound, interestListLineItem);
		}
			
						
		try
		{
			interestListLineItem = (InterestListLineItem)interestListLineItems.get(index);
		}
		finally
		{
			if (interestListLineItem == null)
			{
				interestListLineItems.add(index, interestListLineItem = new InterestListLineItem());
			}
		}
		
		return interestListLineItem;
		

	}


	/**
	 * Returns the dispatcher.
	 * @return String
	 */
	public String getDispatcher()
	{
		return _dispatcher;
	}

	/**
	 * Sets the dispatcher.
	 * @param dispatcher The dispatcher to set
	 */
	public void setDispatcher(String dispatcher)
	{
		_dispatcher = dispatcher;
	}

}
