package com.ibm.itso.sal404.propertycatalog.form;
import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;

/**
 * 
 * sal404 Realty sample application
 * 
 * @component 	PropertyCatalog component
 * @layer		Domain Layer
 * 
 * Description of the class here
 * 
 * @author 		Gwen Gaumond, Twinstar Incorporated
 * @created		May 13, 2003	
 * @version		1.0.0 / @May 13, 2003	
 *
 * @see		 	viewProperties.jsp,
 * 				AddPopertyDetailsAction.java
 * 				addPropertyDetails.jsp				
 * 				ModifyPropertyDetailsAction.java
 * 				modifyPropertyDetails.jsp
 *
 * Form bean for a Struts application.
 * Users may access 2 fields on this form:
 * <ul>
 * <li>id - Property Id for returning existing details
 * <li>submit - What type of action was requested - Add or Modify?
 * </ul>
 * @version 	1.0
 * @author
 */
public class ManagePropertiesForm extends ActionForm
{
	private String id = null;
	private String submit = null;
	/**
	* Constructor
	*/
	public ManagePropertiesForm()
	{
		super();
	}
	public void reset(ActionMapping mapping, HttpServletRequest request)
	{
		// Reset values are provided as samples only. Change as appropriate.
		id = null;
		submit = null;
	}
	public ActionErrors validate(
		ActionMapping mapping,
		HttpServletRequest request)
	{
		ActionErrors errors = new ActionErrors();
		// Validate the fields in your form, adding
		// adding each error to this.errors as found, e.g.
		// if ((field == null) || (field.length() == 0)) {
		//   errors.add("field", new ActionError("error.field.required"));
		// }
		
		
		return errors;
	}
	/**
	 * Returns the id.
	 * @return String
	 */
	public String getId()
	{
		return id;
	}
	/**
	 * Sets the id.
	 * @param id The id to set
	 */
	public void setId(String id)
	{
		this.id = id;
	}
	/**
	 * Get submit
	 * @return String
	 */
	public String getSubmit()
	{
		return submit;
	}
	/**
	 * Set submit
	 * @param <code>String</code>
	 */
	public void setSubmit(String s)
	{
		submit = s;
	}
}
