package com.ibm.itso.sal404.propertycatalog.form;
import javax.servlet.http.HttpServletRequest;

import org.apache.log4j.Logger;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;
/**
 * Form bean for a Struts application.
 * Users may access 1 field on this form:
 * <ul>
 * <li>Id - [your comment here]
 * </ul>
 * @version 	1.0
 * @author
 */
public class ViewPropertyDetailsForm extends ActionForm
{
    //  Configure Log4J Logger
    private static Logger logger = Logger.getLogger(ViewPropertyDetailsForm.class);
	private String _id = null;
	private String _streetName = null;
	private String _buildingNumber = null;
	private String _municipality = null;
	
	

	/**
	* Constructor
	*/
	public ViewPropertyDetailsForm()
	{
		super();
	}
	public void reset(ActionMapping mapping, HttpServletRequest request)
	{
		// Reset values are provided as samples only. Change as appropriate.
		_id = null;
	}
	public ActionErrors validate(
		ActionMapping mapping,
		HttpServletRequest request)
	{
	    
		ActionErrors errors = new ActionErrors();
		// Validate the fields in your form, adding
		// adding each error to this.errors as found, e.g.
		// if ((field == null) || (field.length() == 0)) {
		//   errors.add("field", new ActionError("error.field.required"));
		// }
		logger.info("Entry validate");
		return errors;
	}
	/**
	 * Returns the buildingNumber.
	 * @return String
	 */
	public String getBuildingNumber()
	{
		return _buildingNumber;
	}

	/**
	 * Returns the id.
	 * @return String
	 */
	public String getId()
	{
		return _id;
	}

	/**
	 * Returns the municipality.
	 * @return String
	 */
	public String getMunicipality()
	{
		return _municipality;
	}

	/**
	 * Returns the streetName.
	 * @return String
	 */
	public String getStreetName()
	{
		return _streetName;
	}

	/**
	 * Sets the buildingNumber.
	 * @param buildingNumber The buildingNumber to set
	 */
	public void setBuildingNumber(String buildingNumber)
	{
		_buildingNumber = buildingNumber;
	}

	/**
	 * Sets the id.
	 * @param id The id to set
	 */
	public void setId(String id)
	{
		_id = id;
	}

	/**
	 * Sets the municipality.
	 * @param municipality The municipality to set
	 */
	public void setMunicipality(String municipality)
	{
		_municipality = municipality;
	}

	/**
	 * Sets the streetName.
	 * @param streetName The streetName to set
	 */
	public void setStreetName(String streetName)
	{
		_streetName = streetName;
	}

}
