package com.ibm.itso.sal404.user.form;

import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;

/**
 * Form bean for a Struts application.
 * Users may access 2 fields on this form:
 * <ul>
 * <li>username - [your comment here]
 * </ul>
 * @version 	1.0
 * @author
 */
public class RequestPasswordFormBean extends ActionForm {

	private String username = null;
	private String emailAddress = null;

	/**
	 * Get username
	 * @return String
	 */
	public String getUsername() {
		return username;
	}

	/**
	 * Set username
	 * @param <code>String</code>
	 */
	public void setUsername(String u) {
		username = u;
	}
	/**
	* Constructor
	*/
	public RequestPasswordFormBean() {

		super();

	}
	public void reset(ActionMapping mapping, HttpServletRequest request) {

		// Reset values are provided as samples only. Change as appropriate.

		username = null;

	}
	/**
	 * Returns the emailAddress.
	 * @return String
	 */
	public String getEmailAddress() {
		return emailAddress;
	}

	/**
	 * Sets the emailAddress.
	 * @param emailAddress The emailAddress to set
	 */
	public void setEmailAddress(String emailAddress) {
		this.emailAddress = emailAddress;
	}
	public ActionErrors validate(
		ActionMapping mapping,
		HttpServletRequest request) {

		ActionErrors errors = new ActionErrors();
		// Validate the fields in your form, adding
		// adding each error to this.errors as found, e.g.

		if ((username == null) || (username.length() == 0)) 
		{
			errors.add("username", new ActionError("user.error.userrequired"));
		}
		
		if ((emailAddress == null) || (emailAddress.length() == 0)) 
		{
			errors.add("emailAddress", new ActionError("user.error.emailrequired"));
		}

		return errors;

	}

}
