package com.ibm.itso.sal404.user.form;

import java.util.List;

import javax.servlet.http.HttpServletRequest;

import org.apache.log4j.Logger;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;

import com.ibm.itso.sal404.user.dto.UserDetailsDTO;
import com.ibm.itso.sal404.user.dto.UserVectorDTO;

/**
 * 
 * sal404 Realty sample application
 * 
 * @component	name of component here
 * @layer		name of layer here
 * 
 * Description of the class here
 * 
 * @author 		Author full name here
 * @created		initial creation date here		
 * @version		x.y.z / @${date}	
 *
 * @see		 	classes associated with this class
 * 
 */public class UserSearchFormBean extends ActionForm
{
	// Configure Log4J Logger
	private static Logger logger = Logger.getLogger(UserSearchFormBean.class);

	// select for deletion
	private UserVectorDTO userVectorDTO = new UserVectorDTO();
	
	private String modifyUser = null;
	
	/**
	* Constructor
	*/
	public UserSearchFormBean()
	{
		super();
	}
	
	public void reset(ActionMapping mapping, HttpServletRequest request)
	{
		userVectorDTO = new UserVectorDTO();
	}
	
	public ActionErrors validate(
		ActionMapping mapping,
		HttpServletRequest request)
	{
		logger.info("ENTRY: validate");
		
		ActionErrors errors = new ActionErrors();
		
		logger.debug("User selected: " + modifyUser);

		logger.info("EXIT:  validate");
		return errors;
	}
	/**
	 * Returns the userVectorDTO.
	 * @return UserVectorDTO
	 */
	public UserVectorDTO getUserVectorDTO()
	{
		return userVectorDTO;
	}

	/**
	 * Sets the userVectorDTO.
	 * @param userVectorDTO The userVectorDTO to set
	 */
	public void setUserVectorDTO(UserVectorDTO userVectorDTO)
	{
		this.userVectorDTO = userVectorDTO;
	}

	/**
	 * Get person by index.
	 * @param int
	 * @return String
	 */
	public UserDetailsDTO getUser(int index)
	{
		
		List userList = null;
		UserDetailsDTO userDetailsDTO = null;
		int ubound;
		
		userList = getUserVectorDTO().getUserVector();
		ubound = userList.size() - 1;
		
		
		while (ubound < index)
		{
			ubound ++;
			// add new elements to the list if the index being called for is greater than the size
			userDetailsDTO = new UserDetailsDTO();
			userList.add(ubound, userDetailsDTO);
		}
			
		try
		{
			userDetailsDTO = (UserDetailsDTO)userList.get(index);
		}
		finally
		{
			if (userDetailsDTO == null)
			{
				userList.add(index, userDetailsDTO = new UserDetailsDTO());
			}
		}
		
		return userDetailsDTO;
	}
	/**
	 * Returns the modifyUser.
	 * @return String
	 */
	public String getModifyUser()
	{
		return modifyUser;
	}

	/**
	 * Sets the modifyUser.
	 * @param modifyUser The modifyUser to set
	 */
	public void setModifyUser(String modifyUser)
	{
		this.modifyUser = modifyUser;
	}

}

