<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@taglib uri="http://java.sun.com/jstl/fmt_rt" prefix="fmt_rt"%>

<%@ page language="java"
import="java.util.Vector,
com.ibm.itso.sal404.reporting.ReportingManager,
com.ibm.itso.sal404.reporting.dto.ReportDTO,
com.ibm.itso.sal404.reporting.dto.PropertyDetailsReportItemDTO"
%>
<html:html>
<!--
Agent Report
-->

<HEAD>
<%--Includes basic page settings --%>
<jsp:include page="/general/headsettings.jsp" flush="false"></jsp:include>


<TITLE>Agent Report</TITLE>

</HEAD>

<BODY>
<jsp:useBean
	id="reportDTO"
	class="com.ibm.itso.sal404.reporting.dto.ReportDTO"
	scope="request">
</jsp:useBean>

<TABLE cellspacing="0">
	<jsp:include page="/general/footer.jsp" flush="false"></jsp:include>	
	<TBODY>
		<%--Included top and mainmenu--%>
		<jsp:include page="/general/menus.jsp" flush="false"></jsp:include>

		<c:if test="${!empty reportDTO.reportItems}">
		<%--Code for the application--%>
		<BR>
		<h1><c:out value="${reportDTO.description}" /></h1>
		<HR>
		<BR>
			<TABLE class="t3">
				<TBODY>
					<tr>
						<th class="tablehead" align="left">Address</th>
						<th class="tablehead" align="left">Type</th>
						<th class="tablehead" align="left">Status</th>
						<th class="tablehead" align="left">Price</th>
						<th class="tablehead" align="left">Interest</th>
					</tr>
					<c:forEach items="${reportDTO.reportItems}" var="reportItem" varStatus="status">
						<tr>
							<td colspan="5" class="divider">
							<P><IMG border="0" src="/SAL404Realty/static/images/1.gif"
								width="1" height="1"></P>
							</td>
						</tr>
						<tr>
							<td class="tabletext">
								<html:link action="/ViewInterestForPropertyReport" paramName="reportItem" paramProperty="id" paramId="propertyId" >
									<c:out value="${reportItem.addressStreetName}" />
								</html:link>																	
							</td>
							<td class="tabletext">
								<c:out value="${reportItem.typeDescription}" />
							</td>
							<td class="tabletext">
								<c:out value="${reportItem.statusDescription}" />
							</td>
							<td class="tabletext">
								<fmt_rt:formatNumber minFractionDigits="2" type="number">
									<c:out value="${reportItem.price}" />
								</fmt_rt:formatNumber>
							<td class="tabletext" align="center">
								<c:out value="${reportItem.addedToInterestListCount}" />
							</td>									
							</td>								
						</tr>
					</c:forEach>
					<tr>
						<td colspan="5" class="divider">
						<P><IMG border="0" src="/SAL404Realty/static/images/1.gif"
							width="1" height="1"></P>
						</td>
						</tr>
				</TBODY>
			</TABLE>
		</c:if>
		<html:errors />
		<TD></TD>
		<TR></TR>
	</TBODY>
</TABLE>
</BODY>

</html:html>
