<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@taglib uri="http://java.sun.com/jstl/fmt_rt" prefix="fmt_rt"%>

<%@ page language="java"
import="
com.ibm.itso.sal404.reporting.ReportingManager;
import 
com.ibm.itso.sal404.reporting.dto.ReportDTO;
import 
com.ibm.itso.sal404.reporting.dto.UserDetailsReportItemDTO;"
%>
<html:html>
<!--
Property Report
-->

<HEAD>
<%--Includes basic page settings --%>
<jsp:include page="/general/headsettings.jsp" flush="false"></jsp:include>


<TITLE>Property Report</TITLE>

</HEAD>

<BODY>
<jsp:useBean
	id="reportDTO"
	class="com.ibm.itso.sal404.reporting.dto.ReportDTO"
	scope="request">
</jsp:useBean>

<TABLE cellspacing="0">
	<jsp:include page="/general/footer.jsp" flush="false"></jsp:include>
	<TBODY>
		<%--Included top and mainmenu--%>
		<jsp:include page="/general/menus.jsp" flush="false"></jsp:include>

		<%--Code for the application--%>
		<BR>
		<h1><c:out value="${reportDTO.description}" /></h1>
		<HR>
		<BR>
			<TABLE class="t3">
				<TBODY>
					<tr>
						<th class="tablehead" align="left">First name</th>
						<th class="tablehead" align="left">Last name</th>
						<th class="tablehead" align="left">Email</th>
						<th class="tablehead" align="left">Web URL</th>
						<th class="tablehead" align="center">Email requested</th>
						<th class="tablehead" align="center">Brochure requested</th>
					</tr>
					<c:forEach items="${reportDTO.reportItems}" var="reportItem" varStatus="status">
						<tr>
							<td colspan="6" class="divider">
							<P><IMG border="0" src="/SAL404Realty/static/images/1.gif"
								width="1" height="1"></P>
							</td>
						</tr>
						<tr>
							<td class="tabletext">
								<c:out value="${reportItem.firstName}" />
							</td>
							<td class="tabletext">
								<c:out value="${reportItem.lastName}" />
							</td>
							<td class="tabletext">
								<a href="mailto:<c:out value="${reportItem.emailAddress}" />">
									<c:out value="${reportItem.emailAddress}" />
								</a>
							</td>
							<td class="tabletext">
								<a href="<c:out value="${reportItem.webURL}" />" target="_new">
									<c:out value="${reportItem.webURL}" />
								</a>
							<td class="tabletext" align="center">
								<c:choose>
									<c:when test="${reportItem.emailRequested}">
										yes
									</c:when>
									<c:otherwise>
										no
									</c:otherwise>
								</c:choose>	
							</td>									
							<td class="tabletext" align="center">
								<c:choose>
									<c:when test="${reportItem.brochureRequested}">
										yes
									</c:when>
									<c:otherwise>
										no
									</c:otherwise>
								</c:choose>									
							</td>								
						</tr>
					</c:forEach>
					<tr>
						<td colspan="6" class="divider">
						<P><IMG border="0" src="/SAL404Realty/static/images/1.gif"
							width="1" height="1"></P>
						</td>
					</tr>
				</TBODY>
			</TABLE>
		<html:errors />
		<TD></TD>
		<TR></TR>
	</TBODY>
</TABLE>
</BODY>

</html:html>

