package com.ibm.itso.sab404r.listings.manager;

public class EchoProxy implements com.ibm.itso.sab404r.listings.manager.Echo {
  private boolean _useJNDI = true;
  private String _endpoint = null;
  private com.ibm.itso.sab404r.listings.manager.Echo echo = null;
  
  public EchoProxy() {
    _initEchoProxy();
  }
  
  private void _initEchoProxy() {
  
  if (_useJNDI) {
    try{
      javax.naming.InitialContext ctx = new javax.naming.InitialContext();
      echo = ((com.ibm.itso.sab404r.listings.manager.EchoService)ctx.lookup("java:comp/env/service/EchoService")).getEcho();
      }
    catch (javax.naming.NamingException namingException) {}
    catch (javax.xml.rpc.ServiceException serviceException) {}
  }
  if (echo == null) {
    try{
      echo = (new com.ibm.itso.sab404r.listings.manager.EchoServiceLocator()).getEcho();
      }
    catch (javax.xml.rpc.ServiceException serviceException) {}
  }
  if (echo != null) {
    if (_endpoint != null)
      ((javax.xml.rpc.Stub)echo)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
    else
      _endpoint = (String)((javax.xml.rpc.Stub)echo)._getProperty("javax.xml.rpc.service.endpoint.address");
  }
  
}


public void useJNDI(boolean useJNDI) {
  _useJNDI = useJNDI;
  echo = null;
  
}

public String getEndpoint() {
  return _endpoint;
}

public void setEndpoint(String endpoint) {
  _endpoint = endpoint;
  if (echo != null)
    ((javax.xml.rpc.Stub)echo)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
  
}

public com.ibm.itso.sab404r.listings.manager.Echo getEcho() {
  if (echo == null)
    _initEchoProxy();
  return echo;
}

public java.lang.String echoIt(java.lang.String in) throws java.rmi.RemoteException{
  if (echo == null)
    _initEchoProxy();
  return echo.echoIt(in);
}


}