/* $Id: UserBusinessInterface.java,v 1.3 2004/12/14 15:30:03 grove Exp $
 * 
 * This code is part of the sample application that has been created
 * for the redbook WebSphere Application Server - Express V6
 * Developers Guide and A Development Example (SG24-6500).
 *
 * Revision History:
 *
 *   $Log: UserBusinessInterface.java,v $
 *   Revision 1.3  2004/12/14 15:30:03  grove
 *   refactoring
 *
 *   Revision 1.1  2004/11/25 14:47:53  grovedc
 *   week 4
 *
 *   Revision 1.2  2004/11/22 17:38:08  grove
 *   yet more refactoring
 *
 *   Revision 1.1  2004/11/22 15:14:33  ansgar
 *   reorganized the project structure
 *
 */
package com.ibm.itso.sal404.user;

import com.ibm.itso.sal404.user.dto.UserDetailsDTO;

/**
 * This interface defines the business logic that can be applied
 * to the usercomponent. It should be implemented by all classes
 * that provide that business functionality.
 * 
 * <BR><BR>
 * Creation date: Nov 18, 2004
 * @author ansgar
 */
public interface UserBusinessInterface {
    
    public void createUser(UserDetailsDTO userDetailsDTO);

}
