package com.ibm.itso.sal404;

import java.util.ArrayList;

import org.apache.log4j.Logger;

import com.ibm.itso.sal404.common.exception.ApplicationException;

/**
 * Bean implementation class for Enterprise Bean: ReferenceData
 */
public class ReferenceDataBean
    extends
        com.ibm.itso.sal404.referencedata.datahelper.ReferenceDataHelper
    implements
        javax.ejb.SessionBean {

	// Configure Log4J Logger
	private static Logger logger = Logger.getLogger(ReferenceDataBean.class);
    
    private javax.ejb.SessionContext mySessionCtx;
    /**
     * getSessionContext
     */
    public javax.ejb.SessionContext getSessionContext() {
        return mySessionCtx;
    }
    /**
     * setSessionContext
     */
    public void setSessionContext(javax.ejb.SessionContext ctx) {
        mySessionCtx = ctx;
    }
    /**
     * ejbCreate
     */
    public void ejbCreate() throws javax.ejb.CreateException {
        logger.info("ejbCreate");
    }
    /**
     * ejbActivate
     */
    public void ejbActivate	() {
        logger.info("ejbActivate");
    }
    /**
     * ejbPassivate
     */
    public void ejbPassivate() {
        logger.info("ejbPassivate");
    }
    /**
     * ejbRemove
     */
    public void ejbRemove() {
        logger.info("ejbRemove");
    }
    
    
    /* (non-Javadoc)
     * @see com.ibm.itso.sal404.referencedata.datahelper.ReferenceDataHelper#getCountryCode()
     */
    public ArrayList getCountryCode() throws ApplicationException {
        return super.getCountryCode();
    }
    /* (non-Javadoc)
     * @see com.ibm.itso.sal404.referencedata.datahelper.ReferenceDataHelper#getPropertyStatus()
     */
    public ArrayList getPropertyStatus() throws ApplicationException {
        return super.getPropertyStatus();
    }
    /* (non-Javadoc)
     * @see com.ibm.itso.sal404.referencedata.datahelper.ReferenceDataHelper#getPropertyTypes()
     */
    public ArrayList getPropertyTypes() throws ApplicationException {
        return super.getPropertyTypes();
    }
    /* (non-Javadoc)
     * @see com.ibm.itso.sal404.referencedata.datahelper.ReferenceDataHelper#getUserRoles()
     */
    public ArrayList getUserRoles() throws ApplicationException {
        return super.getUserRoles();
    }
  }