package com.ibm.itso.sal404.interestlist.dao;
import java.sql.*;
import com.ibm.db.beans.*;

/**
 * This class represents a specific row of a result set 
 * contained in a DBSelect.
 * Generated:  May 22, 2003 10:33:49 PM
 */

public class NewInterestListIDDAORow
{
	private int rowNumber;
	private DBSelect select;

	/**
	 * Constructs an object that represents a row from a DBSelect.
	 */
	public NewInterestListIDDAORow(DBSelect aRef, int aRowNumber)
	{
		select = aRef;
		rowNumber = aRowNumber;
	}

	/**
	 * Returns the value of column ColExp1 in the row represented by this object. 
	 */
	public Object getColExp1() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 1);
	}

	/**
	 * Returns a String that contains all of the values in the row represented by this object. 
	 */
	public String toString()
	{
		String string = "";
		try
		{
			for (int i = 1; i <= select.getColumnCount(); i++)
			{
				string += select.getCacheValueAt(rowNumber, i);
				string += "  ";
			}
		}
		catch (SQLException ex)
		{
			return null;
		}
		return string;
	}
}