
package com.ibm.itso.sal404.propertycatalog.dto;
import com.ibm.itso.sal404.common.base.DataTransferObjectIf;
/**
 * 
 * sal404 Realty sample application
 * 
 * @component	Property Catalog component
 * @layer		domain layer
 * 
 * Description of the class here
 * 
 * @author 		Gwen Gaumond, Twinstar Incorporated
 * @created		initial creation date here		
 * @version		x.y.z / @May 14, 2003	
 *
 * @see		 	classes associated with this class
 * 
 */
public class CountryCodeDTO implements DataTransferObjectIf
{
	private int _id;
	private String _code = null;
	private String _name = null;

	
	/**
	 * Constructor for PropertyStatusDTO.
	 */
	public CountryCodeDTO()
	{
		super();
	}
	/**
	 * Returns the id.
	 * @return String
	 */
	public int getId()
	{
		return _id;
	}

	/**
	 * Sets the id.
	 * @param id The id to set
	 */
	public void setId(int id)
	{
		_id = id;
	}

	
	/**
	 * Returns the code.
	 * @return String
	 */
	public String getCode()
	{
		return _code;
	}

	/**
	 * Returns the name.
	 * @return String
	 */
	public String getName()
	{
		return _name;
	}

	/**
	 * Sets the code.
	 * @param code The code to set
	 */
	public void setCode(String code)
	{
		_code = code;
	}

	/**
	 * Sets the name.
	 * @param name The name to set
	 */
	public void setName(String name)
	{
		_name = name;
	}

    private static final long serialVersionUID = -4183902488360012761L;

}