package com.ibm.itso.sal404.propertycatalog.dto;

import com.ibm.itso.sal404.common.base.DataTransferObjectIf;

/**
 * 
 * sal404 Realty sample application
 * 
 * @component PropertyCatalog component
 * @layer domain layer
 * 
 * Contains limited amouunt of for data for a property Used on the way out as a
 * result from a SQL
 * 
 * @author Pasi Valjus
 * @created May 25 2003
 * @version 1.0.0 /
 * @May 25, 2003
 * 
 * @see to be completed
 *  
 */
public class ResultPropertiesDTO implements DataTransferObjectIf
{
    private int _id;

    private String _typeDescription;

    private String _statusDescription;

    private String _addressStreetName;

    private double _price;

    private String _userName;

    private String _firstName;

    private String _lastName;

    private Integer _seller;

    /**
     * Returns the addressStreetName.
     * 
     * @return String
     */
    public String getAddressStreetName()
    {
        return _addressStreetName;
    }

    /**
     * Returns the id.
     * 
     * @return int
     */
    public int getId()
    {
        return _id;
    }

    /**
     * Returns the price.
     * 
     * @return double
     */
    public double getPrice()
    {
        return _price;
    }

    /**
     * Returns the statusDescription.
     * 
     * @return String
     */
    public String getStatusDescription()
    {
        return _statusDescription;
    }

    /**
     * Returns the typeDescription.
     * 
     * @return String
     */
    public String getTypeDescription()
    {
        return _typeDescription;
    }

    /**
     * Sets the addressStreetName.
     * 
     * @param addressStreetName
     *            The addressStreetName to set
     */
    public void setAddressStreetName(String addressStreetName)
    {
        _addressStreetName = addressStreetName;
    }

    /**
     * Sets the id.
     * 
     * @param id
     *            The id to set
     */
    public void setId(int id)
    {
        _id = id;
    }

    /**
     * Sets the price.
     * 
     * @param price
     *            The price to set
     */
    public void setPrice(double price)
    {
        _price = price;
    }

    /**
     * Sets the statusDescription.
     * 
     * @param statusDescription
     *            The statusDescription to set
     */
    public void setStatusDescription(String statusDescription)
    {
        _statusDescription = statusDescription;
    }

    /**
     * Sets the typeDescription.
     * 
     * @param typeDescription
     *            The typeDescription to set
     */
    public void setTypeDescription(String typeDescription)
    {
        _typeDescription = typeDescription;
    }

    /**
     * Returns the userName.
     * 
     * @return String
     */
    public String getUserName()
    {
        return _userName;
    }

    /**
     * Sets the userName.
     * 
     * @param userName
     *            The userName to set
     */
    public void setUserName(String userName)
    {
        _userName = userName;
    }

    /**
     * Returns the firstName.
     * 
     * @return String
     */
    public String getFirstName()
    {
        return _firstName;
    }

    /**
     * Returns the lastName.
     * 
     * @return String
     */
    public String getLastName()
    {
        return _lastName;
    }

    /**
     * Sets the firstName.
     * 
     * @param firstName
     *            The firstName to set
     */
    public void setFirstName(String firstName)
    {
        _firstName = firstName;
    }

    /**
     * Sets the lastName.
     * 
     * @param lastName
     *            The lastName to set
     */
    public void setLastName(String lastName)
    {
        _lastName = lastName;
    }

    private static final long serialVersionUID = 6527564246437037065L;

    /**
     * @return Returns the _seller.
     */
    public Integer getSeller()
    {
        return _seller;
    }

    /**
     * @param _seller
     *            The _seller to set.
     */
    public void setSeller(Integer _seller)
    {
        this._seller = _seller;
    }
}