package com.ibm.itso.sal404.propertycatalog.dto;
import com.ibm.itso.sal404.common.base.DataTransferObjectIf;
/**
 * 
 * sal404 Realty sample application
 * 
 * @component 	PropertyCatalog component
 * @layer		domain layer
 * 
 * Contains data for a property features
 * Used on the way out as a result from a SQL
 * 
 * @author 		Pasi Valjus
 * @created		May 25  2003	
 * @version		1.0.0 / @May 25, 2003	
 *
 * @see		 	to be completed
 * 
 */
public class ResultPropertyFeaturesDTO implements DataTransferObjectIf
{
	private String 		_name;
	private String 		_value;

	/**
	 * Returns the value.
	 * @return String
	 */
	public String getValue()
	{
		return _value;
	}


	/**
	 * Sets the value.
	 * @param value The value to set
	 */
	public void setValue(String value)
	{
		_value = value;
	}

	/**
	 * Returns the name.
	 * @return String
	 */
	public String getName()
	{
		return _name;
	}

	/**
	 * Sets the name.
	 * @param name The name to set
	 */
	public void setName(String name)
	{
		_name = name;
	}

    private static final long serialVersionUID = 8176743226832237169L;

}
