package com.ibm.itso.sal404.propertycatalog.dto;
import com.ibm.itso.sal404.common.base.DataTransferObjectIf;
/**
 * 
 * sal404 Realty sample application
 * 
 * @component 	PropertyCatalog component
 * @layer		domain layer
 * 
 * Contains data for a property type
 * Used on the way out as a result from a SQL
 * 
 * @author 		Pasi Valjus
 * @created		May 25  2003	
 * @version		1.0.0 / @May 25, 2003	
 *
 * @see		 	to be completed
 * 
 */
public class ResultPropertyTypeDTO implements DataTransferObjectIf
{
	private int _id ;
	private String _description = null;
	
	/**
	 * Constructor for PropertyStatusDTO.
	 */
	public ResultPropertyTypeDTO()
	{
		super();
	}
	/**
	 * Returns the id.
	 * @return String
	 */
	public int getId()
	{
		return _id;
	}

	/**
	 * Sets the id.
	 * @param id The id to set
	 */
	public void setId(int id)
	{
		_id = id;
	}

	/**
	 * Returns the description.
	 * @return String
	 */
	public String getDescription()
	{
		return _description;
	}

	/**
	 * Sets the description.
	 * @param description The description to set
	 */
	public void setDescription(String description)
	{
		_description = description;
	}

    private static final long serialVersionUID = 3625802446629388610L;

}
