package com.ibm.itso.sal404.user.dao;
import java.sql.*;
import com.ibm.db.beans.*;

/**
 * This class represents a specific row of a result set 
 * contained in a DBSelect.
 * Generated:  Jul 23, 2003 6:08:36 PM
 */

public class GetUsersInRoleDAORow
{
	private int rowNumber;
	private DBSelect select;

	/**
	 * Constructs an object that represents a row from a DBSelect.
	 */
	public GetUsersInRoleDAORow(DBSelect aRef, int aRowNumber)
	{
		select = aRef;
		rowNumber = aRowNumber;
	}

	/**
	 * Returns the value of column USR_USR_ID in the row represented by this object. 
	 */
	public Object getUSR_USR_ID() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 1);
	}

	/**
	 * Returns the value of column USR_USR_USERNAME in the row represented by this object. 
	 */
	public Object getUSR_USR_USERNAME() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 2);
	}

	/**
	 * Returns the value of column USR_USR_ROLE in the row represented by this object. 
	 */
	public Object getUSR_USR_ROLE() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 3);
	}

	/**
	 * Returns the value of column USR_USR_FIRST_NAME in the row represented by this object. 
	 */
	public Object getUSR_USR_FIRST_NAME() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 4);
	}

	/**
	 * Returns the value of column USR_USR_LAST_NAME in the row represented by this object. 
	 */
	public Object getUSR_USR_LAST_NAME() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 5);
	}

	/**
	 * Returns the value of column USR_USR_ACTIVE in the row represented by this object. 
	 */
	public Object getUSR_USR_ACTIVE() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 6);
	}

	/**
	 * Returns a String that contains all of the values in the row represented by this object. 
	 */
	public String toString()
	{
		String string = "";
		try
		{
			for (int i = 1; i <= select.getColumnCount(); i++)
			{
				string += select.getCacheValueAt(rowNumber, i);
				string += "  ";
			}
		}
		catch (SQLException ex)
		{
			return null;
		}
		return string;
	}
}