package com.ibm.itso.sal404.user.dao;
import java.sql.*;
import com.ibm.db.beans.*;

/**
 * This class represents a specific row of a result set 
 * contained in a DBSelect.
 * Generated:  May 27, 2003 12:14:15 PM
 */

public class UserAddressSearchDAORow
{
	private int rowNumber;
	private DBSelect select;

	/**
	 * Constructs an object that represents a row from a DBSelect.
	 */
	public UserAddressSearchDAORow(DBSelect aRef, int aRowNumber)
	{
		select = aRef;
		rowNumber = aRowNumber;
	}

	/**
	 * Returns the value of column USR_ADDR_USR_ADDR_ID in the row represented by this object. 
	 */
	public Object getUSR_ADDR_USR_ADDR_ID() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 1);
	}

	/**
	 * Returns the value of column USR_ADDR_USR_ID in the row represented by this object. 
	 */
	public Object getUSR_ADDR_USR_ID() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 2);
	}

	/**
	 * Returns the value of column USR_ADDR_USR_ADDR_NAME in the row represented by this object. 
	 */
	public Object getUSR_ADDR_USR_ADDR_NAME() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 3);
	}

	/**
	 * Returns the value of column USR_ADDR_USR_ADDR_CNTRY_CD in the row represented by this object. 
	 */
	public Object getUSR_ADDR_USR_ADDR_CNTRY_CD() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 4);
	}

	/**
	 * Returns the value of column USR_ADDR_USR_ADDR_POST_CD in the row represented by this object. 
	 */
	public Object getUSR_ADDR_USR_ADDR_POST_CD() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 5);
	}

	/**
	 * Returns the value of column USR_ADDR_USR_ADDR_RGN in the row represented by this object. 
	 */
	public Object getUSR_ADDR_USR_ADDR_RGN() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 6);
	}

	/**
	 * Returns the value of column USR_ADDR_USR_ADDR_MUNI in the row represented by this object. 
	 */
	public Object getUSR_ADDR_USR_ADDR_MUNI() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 7);
	}

	/**
	 * Returns the value of column USR_ADDR_USR_ADDR_STRT_NAME in the row represented by this object. 
	 */
	public Object getUSR_ADDR_USR_ADDR_STRT_NAME() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 8);
	}

	/**
	 * Returns the value of column USR_ADDR_USR_ADDR_BLDG_NUM in the row represented by this object. 
	 */
	public Object getUSR_ADDR_USR_ADDR_BLDG_NUM() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 9);
	}

	/**
	 * Returns the value of column USR_ADDR_USR_ADDR_UNIT_NUM in the row represented by this object. 
	 */
	public Object getUSR_ADDR_USR_ADDR_UNIT_NUM() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 10);
	}

	/**
	 * Returns the value of column USR_ADDR_USR_ADDR_PO_BOX in the row represented by this object. 
	 */
	public Object getUSR_ADDR_USR_ADDR_PO_BOX() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 11);
	}

	/**
	 * Returns the value of column USR_ADDR_USR_ADDR_ADDL_TEXT in the row represented by this object. 
	 */
	public Object getUSR_ADDR_USR_ADDR_ADDL_TEXT() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 12);
	}

	/**
	 * Returns the value of column USR_ADDR_USR_CRD_ON in the row represented by this object. 
	 */
	public Object getUSR_ADDR_USR_CRD_ON() throws SQLException
	{
		return select.getCacheValueAt(rowNumber, 13);
	}

	/**
	 * Returns a String that contains all of the values in the row represented by this object. 
	 */
	public String toString()
	{
		String string = "";
		try
		{
			for (int i = 1; i <= select.getColumnCount(); i++)
			{
				string += select.getCacheValueAt(rowNumber, i);
				string += "  ";
			}
		}
		catch (SQLException ex)
		{
			return null;
		}
		return string;
	}
}