package com.ibm.itso.sal404.user.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 * sal404 Realty sample application
 * 
 * @component	name of component here
 * @layer		name of layer here
 * 
 * Description of the class here
 * 
 * @author 		Author full name here
 * @created		initial creation date here		
 * @version		x.y.z / @May 14, 2003	
 *
 * @see		 	classes associated with this class
 * 
 */
public final class UserAddrDTO implements Serializable
{
	Integer addrId = null;
	Integer id = null;
	String  addrName  =  null;
	String  cntryCd = null;
	String  postCd = null;
	String  rgn = null;
	String  muni = null;
	String  strtName = null;
	String  bldgNum = null;
	String  unitNum = null;
	String  poBox = null;
	String  addlText = null;
	Date    crdOn = null;

	/**
	 * Constructor for UserAddrDTO.
	 */
	public UserAddrDTO()
	{
		super();
	}

	/**
	 * Returns the addlText.
	 * @return String
	 */
	public String getAddrAddltext()
	{
		return addlText;
	}

	/**
	 * Returns the addrId.
	 * @return Integer
	 */
	public Integer getAddrId()
	{
		return addrId;
	}

	/**
	 * Returns the bldgNum.
	 * @return String
	 */
	public String getAddrBldNum()
	{
		return bldgNum;
	}

	/**
	 * Returns the cntryCd.
	 * @return String
	 */
	public String getAddrCntryCode()
	{
		return cntryCd;
	}

	/**
	 * Returns the crdOn.
	 * @return Date
	 */
	public Date getCrdOn()
	{
		return crdOn;
	}

	/**
	 * Returns the id.
	 * @return Integer
	 */
	public Integer getId()
	{
		return id;
	}

	/**
	 * Returns the muni.
	 * @return String
	 */
	public String getAddrMuni()
	{
		return muni;
	}

	/**
	 * Returns the poBox.
	 * @return String
	 */
	public String getAddrPoBox()
	{
		return poBox;
	}

	/**
	 * Returns the postCd.
	 * @return String
	 */
	public String getAddrPostCode()
	{
		return postCd;
	}

	/**
	 * Returns the rgn.
	 * @return String
	 */
	public String getAddrRgn()
	{
		return rgn;
	}

	/**
	 * Returns the strtName.
	 * @return String
	 */
	public String getStreetName()
	{
		return strtName;
	}

	/**
	 * Returns the unitNum.
	 * @return String
	 */
	public String getAddrUnitNum()
	{
		return unitNum;
	}

	/**
	 * Sets the addlText.
	 * @param addlText The addlText to set
	 */
	public void setAddrAddltext(String addlText)
	{
		this.addlText = addlText;
	}

	/**
	 * Sets the addrId.
	 * @param addrId The addrId to set
	 */
	public void setAddrId(Integer addrId)
	{
		this.addrId = addrId;
	}

	/**
	 * Sets the bldgNum.
	 * @param bldgNum The bldgNum to set
	 */
	public void setAddrBldNum(String bldgNum)
	{
		this.bldgNum = bldgNum;
	}

	/**
	 * Sets the cntryCd.
	 * @param cntryCd The cntryCd to set
	 */
	public void setAddrCntryCode(String cntryCd)
	{
		this.cntryCd = cntryCd;
	}

	/**
	 * Sets the crdOn.
	 * @param crdOn The crdOn to set
	 */
	public void setCrdOn(Date crdOn)
	{
		this.crdOn = crdOn;
	}

	/**
	 * Sets the id.
	 * @param id The id to set
	 */
	public void setId(Integer id)
	{
		this.id = id;
	}

	/**
	 * Sets the muni.
	 * @param muni The muni to set
	 */
	public void setAddrMuni(String muni)
	{
		this.muni = muni;
	}

	/**
	 * Sets the poBox.
	 * @param poBox The poBox to set
	 */
	public void setAddrPoBox(String poBox)
	{
		this.poBox = poBox;
	}

	/**
	 * Sets the postCd.
	 * @param postCd The postCd to set
	 */
	public void setAddrPostCode(String postCd)
	{
		this.postCd = postCd;
	}

	/**
	 * Sets the rgn.
	 * @param rgn The rgn to set
	 */
	public void setAddrRgn(String rgn)
	{
		this.rgn = rgn;
	}

	/**
	 * Sets the strtName.
	 * @param strtName The strtName to set
	 */
	public void setAddrStreetName(String strtName)
	{
		this.strtName = strtName;
	}

	/**
	 * Sets the unitNum.
	 * @param unitNum The unitNum to set
	 */
	public void setAddrUnitNum(String unitNum)
	{
		this.unitNum = unitNum;
	}

	/**
	 * Returns the addrName.
	 * @return String
	 */
	public String getAddrName()
	{
		return addrName;
	}

	/**
	 * Sets the addrName.
	 * @param addrName The addrName to set
	 */
	public void setAddrName(String addrName)
	{
		this.addrName = addrName;
	}

    private static final long serialVersionUID = 5717781296813153307L;

}
