package com.ibm.itso.sal404.user.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * @author grovedc
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public final class UserDetailsDTO implements Serializable
{
	private Integer id = null;
	private String userName = null;
	private String password = null;
	private String role = null;
	private String title = null;
	private String firstName = null;
	private String lastName = null;
	private String emailAddress = null;
	private String websiteURL = null;
	private String phoneNumber = null;
	private Boolean active;
	private Date createdOn = null;
	private boolean delete = false;
	private UserAddrDTO userAddrDTO = new UserAddrDTO();

	/**
	 * Constructor for UserDetailsDTO.
	 */
	public UserDetailsDTO()
	{
		super();
	}

	/**
	 * Returns the active.
	 * @return Boolean
	 */
	public Boolean isActive()
	{
		return active;
	}

	/**
	 * Returns the emailAddress.
	 * @return String
	 */
	public String getEmailAddr()
	{
		return emailAddress;
	}

	/**
	 * Returns the firstName.
	 * @return String
	 */
	public String getFirstName()
	{
		return firstName;
	}

	/**
	 * Returns the id.
	 * @return Integer
	 */
	public Integer getId()
	{
		return id;
	}

	/**
	 * Returns the lastName.
	 * @return String
	 */
	public String getLastName()
	{
		return lastName;
	}

	/**
	 * Returns the password.
	 * @return String
	 */
	public String getPassword()
	{
		return password;
	}

	/**
	 * Returns the phoneNumber.
	 * @return String
	 */
	public String getPhoneNum()
	{
		return phoneNumber;
	}

	/**
	 * Returns the role.
	 * @return String
	 */
	public String getRole()
	{
		return role;
	}

	/**
	 * Returns the title.
	 * @return String
	 */
	public String getTitle()
	{
		return title;
	}

	/**
	 * Returns the userName.
	 * @return String
	 */
	public String getUserName()
	{
		return userName;
	}

	/**
	 * Returns the websiteURL.
	 * @return String
	 */
	public String getWebURL()
	{
		return websiteURL;
	}

	/**
	 * Sets the active.
	 * @param active The active to set
	 */
	public void setActive(Boolean active)
	{
		this.active = active;
	}

	/**
	 * Sets the emailAddress.
	 * @param emailAddress The emailAddress to set
	 */
	public void setEmailAddr(String emailAddress)
	{
		this.emailAddress = emailAddress;
	}

	/**
	 * Sets the firstName.
	 * @param firstName The firstName to set
	 */
	public void setFirstName(String firstName)
	{
		this.firstName = firstName;
	}

	/**
	 * Sets the id.
	 * @param id The id to set
	 */
	public void setId(Integer id)
	{
		this.id = id;
	}

	/**
	 * Sets the lastName.
	 * @param lastName The lastName to set
	 */
	public void setLastName(String lastName)
	{
		this.lastName = lastName;
	}

	/**
	 * Sets the password.
	 * @param password The password to set
	 */
	public void setPassword(String password)
	{
		this.password = password;
	}

	/**
	 * Sets the phoneNumber.
	 * @param phoneNumber The phoneNumber to set
	 */
	public void setPhoneNum(String phoneNumber)
	{
		this.phoneNumber = phoneNumber;
	}

	/**
	 * Sets the role.
	 * @param role The role to set
	 */
	public void setRole(String role)
	{
		this.role = role;
	}

	/**
	 * Sets the title.
	 * @param title The title to set
	 */
	public void setTitle(String title)
	{
		this.title = title;
	}

	/**
	 * Sets the userName.
	 * @param userName The userName to set
	 */
	public void setUserName(String userName)
	{
		this.userName = userName;
	}

	/**
	 * Sets the websiteURL.
	 * @param websiteURL The websiteURL to set
	 */
	public void setWebURL(String websiteURL)
	{
		this.websiteURL = websiteURL;
	}

	/**
	 * Returns the createdOn.
	 * @return Date
	 */
	public Date getCreatedOn()
	{
		return createdOn;
	}

	/**
	 * Sets the createdOn.
	 * @param createdOn The createdOn to set
	 */
	public void setCreatedOn(Date createdOn)
	{
		this.createdOn = createdOn;
	}

	/**
	 * Returns the active.
	 * @return Boolean
	 */
	public Boolean getActive()
	{
		return active;
	}

	/**
	 * Returns the delete.
	 * @return Boolean
	 */
	public boolean getDelete()
	{
		return delete;
	}

	/**
	 * Sets the delete.
	 * @param delete The delete to set
	 */
	public void setDelete(boolean delete)
	{
		this.delete = delete;
	}

	/**
	 * Returns the delete.
	 * @return boolean
	 */
	public boolean isDelete()
	{
		return delete;
	}

	/**
	 * Returns the userAddrDTO.
	 * @return UserAddrDTO
	 */
	public UserAddrDTO getUserAddrDTO()
	{
		return userAddrDTO;
	}

	/**
	 * Sets the userAddrDTO.
	 * @param userAddrDTO The userAddrDTO to set
	 */
	public void setUserAddrDTO(UserAddrDTO userAddrDTO)
	{
		this.userAddrDTO = userAddrDTO;
	}

	/**
	 * Returns the addrName.
	 * @return String
	 */
	public String getAddrName()
	{
		return userAddrDTO.getAddrName();
	}

	/**
	 * Returns the addlText.
	 * @return String
	 */
	public String getAddrAddltext()
	{
		return userAddrDTO.getAddrAddltext();
	}

	/**
	 * Returns the addrId.
	 * @return Integer
	 */
	public Integer getAddrId()
	{
		return userAddrDTO.getAddrId();
	}

	/**
	 * Returns the bldgNum.
	 * @return String
	 */
	public String getAddrBldNum()
	{
		return userAddrDTO.getAddrBldNum();
	}

	/**
	 * Returns the cntryCd.
	 * @return String
	 */
	public String getAddrCntryCode()
	{
		return userAddrDTO.getAddrCntryCode();
	}

	/**
	 * Returns the crdOn.
	 * @return Date
	 */
	public Date getCrdOn()
	{
		return userAddrDTO.getCrdOn();
	}

	/**
	 * Returns the id.
	 * @return Integer
	 */
	public Integer getUserAddrId()
	{
		return userAddrDTO.getId();
	}

	/**
	 * Returns the muni.
	 * @return String
	 */
	public String getAddrMuni()
	{
		return userAddrDTO.getAddrMuni();
	}

	/**
	 * Returns the poBox.
	 * @return String
	 */
	public String getAddrPoBox()
	{
		return userAddrDTO.getAddrPoBox();
	}

	/**
	 * Returns the postCd.
	 * @return String
	 */
	public String getAddrPostCode()
	{
		return userAddrDTO.getAddrPostCode();
	}

	/**
	 * Returns the rgn.
	 * @return String
	 */
	public String getAddrRgn()
	{
		return userAddrDTO.getAddrRgn();
	}

	/**
	 * Returns the strtName.
	 * @return String
	 */
	public String getAddrStreetName()
	{
		return userAddrDTO.getStreetName();
	}

	/**
	 * Returns the unitNum.
	 * @return String
	 */
	public String getAddrUnitNum()
	{
		return userAddrDTO.getAddrUnitNum();
	}

	/**
	 * Sets the addrName.
	 * @param addrName The addrName to set
	 */
	public void setAddrName(String addrName)
	{
		userAddrDTO.setAddrName(addrName);
	}

	/**
	 * Sets the addlText.
	 * @param addlText The addlText to set
	 */
	public void setAddrAddltext(String addlText)
	{
		userAddrDTO.setAddrAddltext(addlText);
	}

	/**
	 * Sets the addrId.
	 * @param addrId The addrId to set
	 */
	public void setAddrId(Integer addrId)
	{
		userAddrDTO.setAddrId(addrId);
	}

	/**
	 * Sets the bldgNum.
	 * @param bldgNum The bldgNum to set
	 */
	public void setAddrBldNum(String bldgNum)
	{
		userAddrDTO.setAddrBldNum(bldgNum);
	}

	/**
	 * Sets the cntryCd.
	 * @param cntryCd The cntryCd to set
	 */
	public void setAddrCntryCode(String cntryCd)
	{
		userAddrDTO.setAddrCntryCode(cntryCd);
	}

	/**
	 * Sets the crdOn.
	 * @param crdOn The crdOn to set
	 */
	public void setCrdOn(Date crdOn)
	{
		userAddrDTO.setCrdOn(crdOn);
	}

	/**
	 * Sets the id.
	 * @param id The id to set
	 */
	public void setUserAddrId(Integer id)
	{
		userAddrDTO.setId(id);
	}

	/**
	 * Sets the muni.
	 * @param muni The muni to set
	 */
	public void setAddrMuni(String muni)
	{
		userAddrDTO.setAddrMuni(muni);
	}

	/**
	 * Sets the poBox.
	 * @param poBox The poBox to set
	 */
	public void setAddrPoBox(String poBox)
	{
		userAddrDTO.setAddrPoBox(poBox);
	}

	/**
	 * Sets the postCd.
	 * @param postCd The postCd to set
	 */
	public void setAddrPostCode(String postCd)
	{
		userAddrDTO.setAddrPostCode(postCd);
	}

	/**
	 * Sets the rgn.
	 * @param rgn The rgn to set
	 */
	public void setAddrRgn(String rgn)
	{
		userAddrDTO.setAddrRgn(rgn);
	}

	/**
	 * Sets the strtName.
	 * @param strtName The strtName to set
	 */
	public void setAddrStreetName(String strtName)
	{
		userAddrDTO.setAddrStreetName(strtName);
	}

	/**
	 * Sets the unitNum.
	 * @param unitNum The unitNum to set
	 */
	public void setAddrUnitNum(String unitNum)
	{
		userAddrDTO.setAddrUnitNum(unitNum);
	}

    private static final long serialVersionUID = 1581613988681614613L;

}
