package com.ibm.itso.sal404.bidding.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.ibm.itso.sal404.bidding.BidSessionData;

/**
 * @version 1.0
 * @author
 */
public class ManageBidsAction extends Action

{

    public ActionForward execute(ActionMapping mapping, ActionForm form,
            HttpServletRequest request, HttpServletResponse response)
            throws Exception
    {

        ActionErrors errors = new ActionErrors();
        ActionForward forward = new ActionForward(); // return value

        try
        {

            BidSessionData bidSessionData = (BidSessionData) request
                    .getSession().getAttribute("bidSessionData");
            bidSessionData.setCurrent(request.getParameter("bidId"));

        } catch (Exception e)
        {

            // Report the error using the appropriate name and ID.
            errors.add("Bid", new ActionError(e.getMessage()));

        }

        // If a message is required, save the specified key(s)
        // into the request for use by the <struts:errors> tag.

        if (!errors.isEmpty())
        {
            saveErrors(request, errors);

            forward = mapping.findForward("failure");

        } else
        {

             forward = mapping.findForward("success");

        }

        // Finish with
        return (forward);

    }
}
