<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<html:html>
<HEAD>
<%@ page language="java"contentType="text/html; charset=UTF-8"pageEncoding="UTF-8"%>
<jsp:useBean id="interestList" class="com.ibm.itso.sal404.interestlist.dto.InterestListDTO" scope="session"></jsp:useBean>

<%--Includes basic page settings --%>
<jsp:include page="../general/headsettings.jsp" flush="false"></jsp:include>

<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM WebSphere Studio">
<META http-equiv="Content-Style-Type" content="text/css">
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<LINK href="/SAL404Realty/theme/Master.css" rel="stylesheet" type="text/css">
<TITLE><bean:message key="interestList.page.title" /></TITLE>
</HEAD>

<%-- application code begins here --%>
<BODY>
<TABLE cellspacing="0">
	<jsp:include page="/general/footer.jsp" flush="false"></jsp:include>
	<TBODY>
		<%--Included top and mainmenu--%>
		<jsp:include page="../general/menus.jsp" flush="false"></jsp:include>

		<%--Code for the application--%>
		<BR>
		<h1><bean:message key="interestList.page.title" /></h1>
		<HR>
		<BR>

		<%-- naming the action here, the action is mapped to a particular form --%>
		<html:form action="/updateInterestList">
			<table name="errors" class="t3">
				<tr>
					<td class="tabletext" align="center"><html:errors /></td>
				</tr>
			</table>

			<table name="interestList" class="t3">
				<th><bean:message key="interestList.page.tableHead.remove" /></th>
				<th><bean:message key="interestList.page.tableHead.email" /></th>
				<th><bean:message key="interestList.page.tableHead.brochure" /></th>
				<th><bean:message key="interestList.page.tableHead.address" /></th>
				<th><bean:message key="interestList.page.tableHead.type" /></th>
				<th><bean:message key="interestList.page.tableHead.status" /></th>
				<th><bean:message key="interestList.page.tableHead.price" /></th>
				<th><bean:message key="interestList.page.tableHead.agent" /></th>
				<logic:iterate id="interestListLineItem" name="interestList" property="interestListLineItems">
					<tr>
						<td colspan="8" class="divider">
						<P><IMG border="0" src="/SAL404Realty/static/images/1.gif" width="1" height="1"></P>
						</td>
					</tr>

					<tr>
						<td class="tabletext" align="center"><html:checkbox name="interestListLineItem" property="remove" indexed="true" /> <html:hidden name="interestListLineItem" property="propertyId" indexed="true" /></td>
						<td class="tabletext" align="center"><html:checkbox name="interestListLineItem" property="emailRequested" indexed="true" /></td>
						<td class="tabletext" align="center"><html:checkbox name="interestListLineItem" property="brochureRequested" indexed="true" /></td>
						<td class="tabletext" align="center"><bean:write name="interestListLineItem" property="address" /></td>
						<td class="tabletext" align="center"><bean:write name="interestListLineItem" property="type" /></td>
						<td class="tabletext" align="center"><bean:write name="interestListLineItem" property="status" /></td>
						<td class="tabletext" align="center"><bean:write name="interestListLineItem" property="price" /></td>
						<td class="tabletext" align="center"><bean:write name="interestListLineItem" property="agentName" /></td>
					</tr>
				</logic:iterate>
			</table>

			<table name="buttons" class="t3">
				<c:choose>
					<c:when test="${interestList.itemsSize == 0}">
						<td class="tabletext" align="left"><bean:message key="interestList.page.mainList.emptyMessage" /></td>
						<td class="tabletext" align="left"><html:link page="/Properties.do">Return to Catalog</html:link></td>
					</c:when>
					<c:when test="${interestList.itemsSize > 0}">
						<tr>
							<td class="tabletext" align="left"><html:submit value="Update" /></td>
							<td class="tabletext" align="left"><html:submit value="Checkout" property="dispatcher" /></td>
							<td class="tabletext" align="left"><html:link action="/clearInterestList">Clear List</html:link></td>
							<td class="tabletext" align="left"><html:link page="/Properties.do">Return to Catalog</html:link></td>
						</tr>
					</c:when>
				</c:choose>

			</table>

		</html:form>
	</td>
	</tr>
	</TBODY>
</TABLE>
</BODY>
</html:html>