package com.ibm.itso.sab404r.publicity.manager;

public class PressReleaseManagerProxy implements com.ibm.itso.sab404r.publicity.manager.PressReleaseManager {
  private boolean _useJNDI = true;
  private String _endpoint = null;
  private com.ibm.itso.sab404r.publicity.manager.PressReleaseManager pressReleaseManager = null;
  
  public PressReleaseManagerProxy() {
    _initPressReleaseManagerProxy();
  }
  
  private void _initPressReleaseManagerProxy() {
  
  if (_useJNDI) {
    try{
      javax.naming.InitialContext ctx = new javax.naming.InitialContext();
      pressReleaseManager = ((com.ibm.itso.sab404r.publicity.manager.PressReleaseManagerService)ctx.lookup("java:comp/env/service/PressReleaseManagerService")).getPressReleaseManager();
      }
    catch (javax.naming.NamingException namingException) {}
    catch (javax.xml.rpc.ServiceException serviceException) {}
  }
  if (pressReleaseManager == null) {
    try{
      pressReleaseManager = (new com.ibm.itso.sab404r.publicity.manager.PressReleaseManagerServiceLocator()).getPressReleaseManager();
      }
    catch (javax.xml.rpc.ServiceException serviceException) {}
  }
  if (pressReleaseManager != null) {
    if (_endpoint != null)
      ((javax.xml.rpc.Stub)pressReleaseManager)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
    else
      _endpoint = (String)((javax.xml.rpc.Stub)pressReleaseManager)._getProperty("javax.xml.rpc.service.endpoint.address");
  }
  
}


public void useJNDI(boolean useJNDI) {
  _useJNDI = useJNDI;
  pressReleaseManager = null;
  
}

public String getEndpoint() {
  return _endpoint;
}

public void setEndpoint(String endpoint) {
  _endpoint = endpoint;
  if (pressReleaseManager != null)
    ((javax.xml.rpc.Stub)pressReleaseManager)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
  
}

public com.ibm.itso.sab404r.publicity.manager.PressReleaseManager getPressReleaseManager() {
  if (pressReleaseManager == null)
    _initPressReleaseManagerProxy();
  return pressReleaseManager;
}

public void createWSPressRelease(com.ibm.itso.sab404r.publicity.dto.WSPressReleaseDTO aRelease) throws java.rmi.RemoteException{
  if (pressReleaseManager == null)
    _initPressReleaseManagerProxy();
  pressReleaseManager.createWSPressRelease(aRelease);
}


}